package info.frostfs.sdk.enums;

public enum HealthyStatus {
    // status HEALTHY is set when connection is ready to be used by the pool.
    HEALTHY(1),

    // status UNHEALTHY_ON_REQUEST is set when communication after dialing to the
    // endpoint is failed due to immediate or accumulated errors, connection is
    // available and pool should close it before re-establishing connection once again.
    UNHEALTHY_ON_REQUEST(2),

    // status UNHEALTHY_ON_DIAL is set when dialing to the endpoint is failed,
    // so there is no connection to the endpoint, and pool should not close it
    // before re-establishing connection once again.
    UNHEALTHY_ON_DIAL(3),
    ;

    public final int value;

    HealthyStatus(int value) {
        this.value = value;
    }
}
