package info.frostfs.sdk.jdo;

import info.frostfs.sdk.annotations.AtLeastOneIsFilled;
import info.frostfs.sdk.annotations.NotNull;
import io.grpc.ChannelCredentials;
import io.grpc.ManagedChannel;
import lombok.Getter;
import lombok.experimental.FieldNameConstants;

@Getter
@FieldNameConstants
@AtLeastOneIsFilled(fields = {ClientSettings.Fields.host, ClientSettings.Fields.channel})
public class ClientSettings {

    @NotNull
    private final String key;

    private String host;
    private ChannelCredentials credentials;
    private ManagedChannel channel;

    public ClientSettings(String key, String host) {
        this.key = key;
        this.host = host;
    }

    public ClientSettings(String key, String host, ChannelCredentials credentials) {
        this.key = key;
        this.host = host;
        this.credentials = credentials;
    }

    public ClientSettings(String key, ManagedChannel channel) {
        this.key = key;
        this.channel = channel;
    }
}
