package info.frostfs.sdk.jdo;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.exceptions.ValidationFrostFSException;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.security.PrivateKey;

import static info.frostfs.sdk.KeyExtension.*;
import static info.frostfs.sdk.constants.ErrorConst.WIF_IS_INVALID;

@Getter
public class ECDsa {

    @NotNull
    private final byte[] publicKeyByte;

    @NotNull
    private final byte[] privateKeyByte;

    @NotNull
    private final PrivateKey privateKey;

    public ECDsa(String wif) {
        if (StringUtils.isEmpty(wif)) {
            throw new ValidationFrostFSException(WIF_IS_INVALID);
        }

        this.privateKeyByte = getPrivateKeyFromWIF(wif);
        this.publicKeyByte = loadPublicKey(privateKeyByte);
        this.privateKey = loadPrivateKey(privateKeyByte);
    }
}
