package info.frostfs.sdk.jdo.parameters.container;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.container.Container;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.PrmWait;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmContainerCreate implements SessionContext {
    @NotNull
    private Container container;

    private PrmWait waitParams;
    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmContainerCreate(Container container, PrmWait waitParams) {
        this.container = container;
        this.waitParams = waitParams;
    }

    public PrmContainerCreate(Container container) {
        this.container = container;
    }
}
