package info.frostfs.sdk.jdo.parameters.container;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.container.ContainerId;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.PrmWait;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmContainerDelete implements SessionContext {
    @NotNull
    private ContainerId containerId;

    private PrmWait waitParams;
    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmContainerDelete(ContainerId containerId, PrmWait waitParams) {
        this.containerId = containerId;
        this.waitParams = waitParams;
    }

    public PrmContainerDelete(ContainerId containerId) {
        this.containerId = containerId;
    }
}
