package info.frostfs.sdk.jdo.parameters.object.patch;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.object.ObjectAttribute;
import info.frostfs.sdk.dto.object.patch.Address;
import info.frostfs.sdk.dto.object.patch.Range;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.io.InputStream;
import java.util.List;
import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmObjectPatch implements SessionContext {
    @NotNull
    private Address address;

    @NotNull
    private Range range;

    @NotNull
    private InputStream payload;

    private List<ObjectAttribute> newAttributes;
    private boolean replaceAttributes;
    private int maxChunkLength;
    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmObjectPatch(Address address, Range range, InputStream payload, int maxChunkLength) {
        this.address = address;
        this.range = range;
        this.payload = payload;
        this.maxChunkLength = maxChunkLength;
    }
}
