package info.frostfs.sdk.pool;

public interface ClientStatus {
    // isHealthy checks if the connection can handle requests.
    boolean isHealthy();

    // isDialed checks if the connection was created.
    boolean isDialed();

    // setUnhealthy marks client as unhealthy.
    void setUnhealthy();

    // address return address of endpoint.
    String getAddress();

    // currentErrorRate returns current errors rate.
    // After specific threshold connection is considered as unhealthy.
    // Pool.startRebalance routine can make this connection healthy again.
    int getCurrentErrorRate();

    // overallErrorRate returns the number of all happened errors.
    long getOverallErrorRate();

    // methodsStatus returns statistic for all used methods.
    StatusSnapshot[] getMethodsStatus();
}

