package info.frostfs.sdk.utils;

import org.slf4j.Logger;

public class FrostFSMessages {
    private FrostFSMessages() {
    }

    public static void sessionCreationError(Logger logger, String address, String error) {
        logger.warn("Failed to create frostfs session token for client. Address {}, {}", address, error);
    }

    public static void errorThresholdReached(Logger logger, String address, long threshold) {
        logger.warn("Error threshold reached. Address {}, threshold {}", address, threshold);
    }

    public static void healthChanged(Logger logger, String address, boolean healthy, String error) {
        logger.warn("Health has changed: {} healthy {}, reason {}", address, healthy, error);
    }
}
