package info.frostfs.sdk.testgenerator;

import com.google.protobuf.ByteString;
import frostfs.status.Types;

import java.util.Arrays;

public class StatusGenerator {

    public static Types.Status.Detail generateDetail() {
        return Types.Status.Detail.newBuilder()
                .setId(345)
                .setValue(ByteString.copyFrom("value".getBytes()))
                .build();
    }

    public static Iterable<Types.Status.Detail> generateDetails() {
        return Arrays.asList(generateDetail(), generateDetail());
    }

    public static Types.Status generateStatus() {
        return Types.Status.newBuilder()
                .setCode(2)
                .setMessage("some string")
                .addAllDetails(generateDetails())
                .build();
    }

}
