package info.frostfs.sdk.constants;

public class FilterConst {

    // HEADER_PREFIX is a prefix of key to object header value or property.
    public static final String HEADER_PREFIX = "$Object:";

    // FILTER_HEADER_VERSION is a filter key to "version" field of the object header.
    public static final String FILTER_HEADER_VERSION = HEADER_PREFIX + "version";

    // FILTER_HEADER_OBJECT_ID is a filter key to "object_id" field of the object.
    public static final String FILTER_HEADER_OBJECT_ID = HEADER_PREFIX + "objectID";

    // FILTER_HEADER_CONTAINER_ID is a filter key to "container_id" field of the object header.
    public static final String FILTER_HEADER_CONTAINER_ID = HEADER_PREFIX + "containerID";

    // FILTER_HEADER_OWNER_ID is a filter key to "owner_id" field of the object header.
    public static final String FILTER_HEADER_OWNER_ID = HEADER_PREFIX + "ownerID";

    // FILTER_HEADER_CREATION_EPOCH is a filter key to "creation_epoch" field of the object header.
    public static final String FILTER_HEADER_CREATION_EPOCH = HEADER_PREFIX + "creationEpoch";

    // FILTER_HEADER_PAYLOAD_LENGTH is a filter key to "payload_length" field of the object header.
    public static final String FILTER_HEADER_PAYLOAD_LENGTH = HEADER_PREFIX + "payloadLength";

    // FILTER_HEADER_PAYLOAD_HASH is a filter key to "payload_hash" field of the object header.
    public static final String FILTER_HEADER_PAYLOAD_HASH = HEADER_PREFIX + "payloadHash";

    // FILTER_HEADER_OBJECT_TYPE is a filter key to "object_type" field of the object header.
    public static final String FILTER_HEADER_OBJECT_TYPE = HEADER_PREFIX + "objectType";

    // FILTER_HEADER_HOMOMORPHIC_HASH is a filter key to "homomorphic_hash" field of the object header.
    public static final String FILTER_HEADER_HOMOMORPHIC_HASH = HEADER_PREFIX + "homomorphicHash";

    // FILTER_HEADER_PARENT is a filter key to "split.parent" field of the object header.
    public static final String FILTER_HEADER_PARENT = HEADER_PREFIX + "split.parent";

    // FILTER_HEADER_SPLIT_ID is a filter key to "split.splitID" field of the object header.
    public static final String FILTER_HEADER_SPLIT_ID = HEADER_PREFIX + "split.splitID";

    // FILTER_HEADER_EC_PARENT is a filter key to "ec.parent" field of the object header.
    public static final String FILTER_HEADER_EC_PARENT = HEADER_PREFIX + "ec.parent";

    // FILTER_HEADER_ROOT is a filter key to check if regular object is on top of split hierarchy.
    public static final String FILTER_HEADER_ROOT = HEADER_PREFIX + "ROOT";

    // FILTER_HEADER_PHY is a filter key to check if an object physically stored on a node.
    public static final String FILTER_HEADER_PHY = HEADER_PREFIX + "PHY";

    private FilterConst() {
    }
}
