package info.frostfs.sdk.dto.container;

import info.frostfs.sdk.dto.netmap.PlacementPolicy;
import info.frostfs.sdk.dto.netmap.Version;
import info.frostfs.sdk.enums.BasicAcl;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@Getter
@Setter
public class Container {
    private UUID nonce;
    private BasicAcl basicAcl;
    private PlacementPolicy placementPolicy;
    private Version version;
    private Map<String, String> attributes = new HashMap<>();

    public Container(BasicAcl basicAcl, PlacementPolicy placementPolicy) {
        this.nonce = UUID.randomUUID();
        this.basicAcl = basicAcl;
        this.placementPolicy = placementPolicy;
    }
}
