package info.frostfs.sdk.dto.response;

import info.frostfs.sdk.enums.StatusCode;
import lombok.Getter;
import lombok.Setter;

import static info.frostfs.sdk.constants.FieldConst.EMPTY_STRING;
import static java.util.Objects.isNull;

@Getter
@Setter
public class ResponseStatus {
    private StatusCode code;
    private String message;

    public ResponseStatus(StatusCode code, String message) {
        this.code = code;
        this.message = isNull(message) ? EMPTY_STRING : message;
    }

    public ResponseStatus(StatusCode code) {
        this.code = code;
        this.message = EMPTY_STRING;
    }

    @Override
    public String toString() {
        return String.format("Response status: %s. Message: %s.", code, message);
    }

    public boolean isSuccess() {
        return StatusCode.SUCCESS.equals(code);
    }
}
