package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum BasicAcl {
    PRIVATE(0x1C8C8CCC),
    PUBLIC_RO(0x1FBF8CFF),
    PUBLIC_RW(0x1FBFBFFF),
    PUBLIC_APPEND(0x1FBF9FFF),
    ;

    private static final Map<Integer, BasicAcl> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, BasicAcl> map = new HashMap<>();
        for (BasicAcl basicAcl : BasicAcl.values()) {
            map.put(basicAcl.value, basicAcl);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    BasicAcl(int value) {
        this.value = value;
    }

    public static BasicAcl get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
