package info.frostfs.sdk.mappers.chain;

import frostfs.ape.Types;
import info.frostfs.sdk.dto.chain.Chain;
import org.apache.commons.collections4.CollectionUtils;

import java.util.List;
import java.util.stream.Collectors;

import static java.util.Objects.isNull;

public class ChainMapper {
    private ChainMapper() {
    }

    public static List<Chain> toModels(List<Types.Chain> chains) {
        if (CollectionUtils.isEmpty(chains)) {
            return null;
        }

        return chains.stream().map(ChainMapper::toModel).collect(Collectors.toList());
    }

    public static Chain toModel(Types.Chain chain) {
        if (isNull(chain) || chain.getSerializedSize() == 0) {
            return null;
        }

        return new Chain(chain.getRaw().toByteArray());
    }
}
