package info.frostfs.sdk.mappers.container;

import com.google.protobuf.ByteString;
import frostfs.refs.Types;
import info.frostfs.sdk.dto.container.ContainerId;

import static java.util.Objects.isNull;

public class ContainerIdMapper {

    private ContainerIdMapper() {
    }

    public static Types.ContainerID toGrpcMessage(ContainerId containerId) {
        if (isNull(containerId)) {
            return null;
        }

        return Types.ContainerID.newBuilder()
                .setValue(ByteString.copyFrom(containerId.toHash()))
                .build();
    }
}
