package info.frostfs.sdk.mappers.netmap;

import frostfs.netmap.Types;
import info.frostfs.sdk.dto.netmap.Replica;

import static java.util.Objects.isNull;

public class ReplicaMapper {

    private ReplicaMapper() {
    }

    public static Types.Replica toGrpcMessage(Replica replica) {
        if (isNull(replica)) {
            return null;
        }

        return Types.Replica.newBuilder()
                .setCount(replica.getCount())
                .setSelector(replica.getSelector())
                .build();
    }

    public static Replica toModel(Types.Replica replica) {
        if (isNull(replica) || replica.getSerializedSize() == 0) {
            return null;
        }

        return new Replica(replica.getCount(), replica.getSelector());
    }
}
