package info.frostfs.sdk.mappers.netmap;

import frostfs.refs.Types;
import info.frostfs.sdk.dto.netmap.Version;

import static java.util.Objects.isNull;

public class VersionMapper {

    private VersionMapper() {
    }

    public static Types.Version toGrpcMessage(Version version) {
        if (isNull(version)) {
            return null;
        }

        return Types.Version.newBuilder()
                .setMajor(version.getMajor())
                .setMinor(version.getMinor())
                .build();
    }

    public static Version toModel(Types.Version version) {
        if (isNull(version) || version.getSerializedSize() == 0) {
            return null;
        }

        return new Version(version.getMajor(), version.getMinor());
    }
}
