package info.frostfs.sdk.mappers.object;

import frostfs.object.Types;
import info.frostfs.sdk.dto.object.ObjectFrostFS;
import info.frostfs.sdk.dto.object.ObjectId;

import static java.util.Objects.isNull;

public class ObjectFrostFSMapper {

    private ObjectFrostFSMapper() {
    }

    public static ObjectFrostFS toModel(Types.Object object) {
        if (isNull(object) || object.getSerializedSize() == 0) {
            return null;
        }

        return new ObjectFrostFS(
                ObjectHeaderMapper.toModel(object.getHeader()),
                new ObjectId(object.getObjectId().getValue().toByteArray()),
                object.getPayload().toByteArray()
        );
    }
}
