package info.frostfs.sdk.mappers.object;

import com.google.protobuf.ByteString;
import frostfs.refs.Types;
import info.frostfs.sdk.dto.object.ObjectId;

import static java.util.Objects.isNull;

public class ObjectIdMapper {

    private ObjectIdMapper() {
    }

    public static Types.ObjectID toGrpcMessage(ObjectId objectId) {
        if (isNull(objectId)) {
            return null;
        }

        return Types.ObjectID.newBuilder()
                .setValue(ByteString.copyFrom(objectId.toHash()))
                .build();
    }

    public static ObjectId toModel(Types.ObjectID objectId) {
        if (isNull(objectId) || objectId.getSerializedSize() == 0) {
            return null;
        }

        return new ObjectId(objectId.getValue().toByteArray());
    }
}
