package info.frostfs.sdk.mappers.object;

import com.google.protobuf.ByteString;
import frostfs.refs.Types;
import info.frostfs.sdk.dto.object.OwnerId;

import static java.util.Objects.isNull;

public class OwnerIdMapper {

    private OwnerIdMapper() {
    }

    public static Types.OwnerID toGrpcMessage(OwnerId ownerId) {
        if (isNull(ownerId)) {
            return null;
        }

        return Types.OwnerID.newBuilder()
                .setValue(ByteString.copyFrom(ownerId.toHash()))
                .build();
    }
}
