package info.frostfs.sdk.mappers.object.patch;

import frostfs.refs.Types;
import info.frostfs.sdk.dto.object.patch.Address;
import info.frostfs.sdk.mappers.container.ContainerIdMapper;
import info.frostfs.sdk.mappers.object.ObjectIdMapper;

import static java.util.Objects.isNull;

public class AddressMapper {

    private AddressMapper() {
    }

    public static Types.Address toGrpcMessage(Address address) {
        if (isNull(address)) {
            return null;
        }

        return Types.Address.newBuilder()
                .setContainerId(ContainerIdMapper.toGrpcMessage(address.getContainerId()))
                .setObjectId(ObjectIdMapper.toGrpcMessage(address.getObjectId()))
                .build();
    }
}
