package info.frostfs.sdk.mappers.container;

import info.frostfs.sdk.dto.container.ContainerId;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

public class ContainerIdMapperTest {

    @Test
    void toGrpcMessage_success() {
        //Given
        var containerId = new ContainerId("EQGx2QeYHJb53uRwYGzcQaW191sZpdNrjutk6veUSV2R");

        //When
        var result = ContainerIdMapper.toGrpcMessage(containerId);

        //Then
        assertNotNull(result);
        assertEquals(containerId.getValue(), new ContainerId(result.getValue().toByteArray()).getValue());
    }

    @Test
    void toGrpcMessage_null() {
        //When + Then
        assertNull(ContainerIdMapper.toGrpcMessage(null));
    }
}
